Searched refs:rootdir (Results 1 - 18 of 18) sorted by relevance

/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/net/l2tp/
H A Dl2tp_debugfs.c35 static struct dentry *rootdir; variable in typeref:struct:dentry
309 rootdir = debugfs_create_dir("l2tp", NULL);
310 if (IS_ERR(rootdir)) {
311 rc = PTR_ERR(rootdir);
312 rootdir = NULL;
316 tunnels = debugfs_create_file("tunnels", 0600, rootdir, NULL, &l2tp_dfs_fops);
332 debugfs_remove(rootdir);
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/drivers/net/wireless/wl12xx/
H A Dwl1251_debugfs.c456 DEBUGFS_ADD(tx_queue_len, wl->debugfs.rootdir);
457 DEBUGFS_ADD(tx_queue_status, wl->debugfs.rootdir);
458 DEBUGFS_ADD(retry_count, wl->debugfs.rootdir);
459 DEBUGFS_ADD(excessive_retries, wl->debugfs.rootdir);
480 wl->debugfs.rootdir = debugfs_create_dir(KBUILD_MODNAME, NULL);
482 if (IS_ERR(wl->debugfs.rootdir)) {
483 ret = PTR_ERR(wl->debugfs.rootdir);
484 wl->debugfs.rootdir = NULL;
489 wl->debugfs.rootdir);
523 debugfs_remove(wl->debugfs.rootdir);
[all...]
H A Dwl1271_debugfs.c492 DEBUGFS_ADD(tx_queue_len, wl->debugfs.rootdir);
493 DEBUGFS_ADD(retry_count, wl->debugfs.rootdir);
494 DEBUGFS_ADD(excessive_retries, wl->debugfs.rootdir);
496 DEBUGFS_ADD(gpio_power, wl->debugfs.rootdir);
516 wl->debugfs.rootdir = debugfs_create_dir(KBUILD_MODNAME, NULL);
518 if (IS_ERR(wl->debugfs.rootdir)) {
519 ret = PTR_ERR(wl->debugfs.rootdir);
520 wl->debugfs.rootdir = NULL;
525 wl->debugfs.rootdir);
559 debugfs_remove(wl->debugfs.rootdir);
[all...]
H A Dwl1251.h155 struct dentry *rootdir; member in struct:wl1251_debugfs
H A Dwl1271.h178 struct dentry *rootdir; member in struct:wl1271_debugfs
/netgear-R7000-V1.0.7.12_1.2.5/src/router/busybox-1.x/miscutils/
H A Dmakedevs.c76 char *rootdir = NULL; local
85 if (optind >= argc || (rootdir=argv[optind])==NULL) {
89 xchdir(rootdir);
93 printf("rootdir=%s\n", rootdir);
134 full_name = concat_path_file(rootdir, name);
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/GeoIP-1.5.1/apps/
H A Dgeoipupdate-pureperl.pl72 my $rootdir = File::Spec->rootdir;
73 $opts{d} ||= File::Spec->catfile( $rootdir, qw/ usr local share GeoIP / );
75 ||= File::Spec->catfile( $rootdir, qw/ usr local etc /, $license_file );
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/drivers/net/wireless/b43legacy/
H A Ddebugfs.c42 static struct dentry *rootdir; variable in typeref:struct:dentry
413 e->subdir = debugfs_create_dir(devdir, rootdir);
497 rootdir = debugfs_create_dir(KBUILD_MODNAME, NULL);
498 if (IS_ERR(rootdir))
499 rootdir = NULL;
504 debugfs_remove(rootdir);
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/fs/qnx4/
H A Dinode.c184 struct qnx4_inode_entry *rootdir; local
201 rootdir = (struct qnx4_inode_entry *) (bh->b_data + i * QNX4_DIR_ENTRY_SIZE);
202 if (rootdir->di_fname != NULL) {
203 QNX4DEBUG((KERN_INFO "rootdir entry found : [%s]\n", rootdir->di_fname));
204 if (!strcmp(rootdir->di_fname,
212 memcpy( qnx4_sb(sb)->BitMap, rootdir, sizeof( struct qnx4_inode_entry ) ); /* keep bitmap inode known */
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/openvpn-2.3.1/
H A DMakefile.am89 rootdir=$(prefix)
H A DMakefile.in149 am__installdirs = "$(DESTDIR)$(docdir)" "$(DESTDIR)$(rootdir)"
395 @WIN32_TRUE@rootdir = $(prefix)
484 @list='$(root_DATA)'; test -n "$(rootdir)" || list=; \
486 echo " $(MKDIR_P) '$(DESTDIR)$(rootdir)'"; \
487 $(MKDIR_P) "$(DESTDIR)$(rootdir)" || exit 1; \
494 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(rootdir)'"; \
495 $(INSTALL_DATA) $$files "$(DESTDIR)$(rootdir)" || exit $$?; \
500 @list='$(root_DATA)'; test -n "$(rootdir)" || list=; \
502 dir='$(DESTDIR)$(rootdir)'; $(am__uninstall_files_from_dir)
832 for dir in "$(DESTDIR)$(docdir)" "$(DESTDIR)$(rootdir)"; d
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/fs/logfs/
H A Dsuper.c328 struct inode *rootdir; local
332 rootdir = logfs_iget(sb, LOGFS_INO_ROOT);
333 if (IS_ERR(rootdir))
336 sb->s_root = d_alloc_root(rootdir);
338 iput(rootdir);
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/drivers/net/wireless/iwmc3200wifi/
H A Ddebug.h92 struct dentry *rootdir; member in struct:iwm_debugfs
H A Ddebugfs.c429 iwm->dbg.rootdir = debugfs_create_dir(KBUILD_MODNAME, NULL);
431 iwm->dbg.rootdir);
488 debugfs_remove(iwm->dbg.rootdir);
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/drivers/net/wireless/b43/
H A Ddebugfs.c41 static struct dentry *rootdir; variable in typeref:struct:dentry
723 e->subdir = debugfs_create_dir(devdir, rootdir);
823 rootdir = debugfs_create_dir(KBUILD_MODNAME, NULL);
824 if (IS_ERR(rootdir))
825 rootdir = NULL;
830 debugfs_remove(rootdir);
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/samba-3.0.25b/source/web/
H A Dcgi.c511 void cgi_setup(const char *rootdir, int auth_required) argument
519 if (chdir(rootdir)) {
/netgear-R7000-V1.0.7.12_1.2.5/components/opensource/linux/linux-2.6.36/fs/udf/
H A Dsuper.c195 unsigned int rootdir; member in struct:udf_options
294 * volume, partition, fileset and rootdir seem to be ignored
344 * rootdir= Override the root directory location. (unused)
345 * WARNING: overriding the rootdir to a non-directory may
394 {Opt_rootdir, "rootdir=%u"},
414 uopt->rootdir = 0xFFFFFFFF;
513 uopt->rootdir = option;
1879 struct kernel_lb_addr rootdir, fileset; local
2002 if (udf_find_fileset(sb, &fileset, &rootdir)) {
2021 inode = udf_iget(sb, &rootdir);
[all...]
/netgear-R7000-V1.0.7.12_1.2.5/ap/gpl/lsync/source/
H A Dlsyncd.lua1506 -- not concerned if watch rootdir doesnt match
2590 -- rootdir: root dir to watch
2592 local function addSync( sync, rootdir )
2596 syncRoots[ sync ] = rootdir
2597 addWatch( rootdir )

Completed in 142 milliseconds